| Home | Libraries | People | FAQ | More

## Macro BOOST_MPI_CHECK_RESULT

BOOST_MPI_CHECK_RESULT

## Synopsis

    // In header: <boost/mpi/exception.hpp>

    BOOST_MPI_CHECK_RESULT(MPIFunc, Args)

## Description

Call the MPI routine MPIFunc with arguments Args (surrounded by parentheses). If the result is not MPI_SUCCESS, use boost::throw_exception to throw an exception or abort, depending on BOOST_NO_EXCEPTIONS.